package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0160
 * @Description : 患者性别与入院记录不一致
 * @Author : 胡敬
 * @Date: 2020-03-16 09:56
 */
@Component
public class FIRP0160 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null
                && inputInfo.getBeHospitalizedDoc() != null && inputInfo.getBeHospitalizedDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            Map<String, String> beHospitalStructureMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
            String firstAdmissionGender = firstpageStructureMap.get(Content.gender);
            String admissionGender = beHospitalStructureMap.get(Content.gender);
            if (StringUtil.isBlank(firstAdmissionGender) || StringUtil.isBlank(admissionGender)){
                return;
            }
            if (!CatalogueUtil.compareToken(firstAdmissionGender,admissionGender)) {
                status.set("-1");
            }
        }
    }
}